//
// Created by zhang on 2024/12/25.
//

#include"sqlite3.h"

#ifndef _INC_STDIO
#define _INC_STDIO
#endif

#ifndef FUNCTION_H
#define FUNCTION_H

int Login();
void clear();
void UserSignin();
void StudentsDesktop();
void TeachersDesktop();
void clear(){
    fprintf(stdout,"\033[2J");      //利用转义字符清空屏幕
}
int Login(){
    sqlite3 *db;
    int rc;
    rc=sqlite3_open("./include/user.db",db);
    if(rc!=SQLITE_OK){
        fprintf(stderr,"无法打开数据库：%s\n",sqlite3_errmsg(db));
        return -1;
    }
    
}
#endif //FUNCTION_H
